ChiliProject - Bug # 114: Account notifications showing wrong user

Status: Closed Priority: Normal
Author: Eric Davis Category: Mail Sending
Created: 2011-01-31 Assignee: Eric Davis
Updated: 2011-09-04 Due date:

Remote issue URL:
Affected version:
Description: | just got an email that a new user registered:

<pre>
A new user (schmidt) has registered. The account is pending your approval:
https://www.chiliproject.org/users?sort_key=created_on&sort_order=desc&status=2
</pre>

But schmidt has already registered and approved, the new user was actually an account rookus. It appears
that this Mailer code is getting the incorrect user records. Full email attached.

History

2011-01-31 11:18 pm - Holger Just
The mail you attached was indeed for the user @schmidt@, sent at 14:19 GMT. He was already activated by either Felix or me directly after registration

(which was invited by us).

That @rokus@ user registered some days ago (on January 26). So | would assume everything is fine and you just got confused by people doing stuff
behind your back :).

2011-01-31 11:21 pm - Eric Davis
| thought schmidt registered a long time ago and | approved him. Maybe I'm thinking of someone else.

But | still don't see an email from rookus registering. Did anyone else get it?

2011-02-01 10:49 pm - Felix Schéfer

- Status set to Open

2011-02-03 01:24 am - Eric Davis

- Assignee set to Eric Davis

- Status changed from Open to Needs more information

2011-09-04 09:18 pm - Holger Just

- Status changed from Needs more information to Closed

If i remember correctly, this was because of a hiccup in the mailserver setup of cp.o in the early days. Closed as such.

Files

mail.txt 3.3kB 2011-01-31 Eric Davis
